### Method

# AppStream Icon set_name

#### Declaration [src]

    void
    as_icon_set_name (
      AsIcon* icon,
      const gchar* name
    )

#### Description [src]

Sets the stock name or basename to use for the icon.

#### Parameters

`name`

  Type: `const gchar*`

  The icon stock name, e.g. “gwenview”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.